> For the complete documentation index, see [llms.txt](https://docs.360dialog.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.360dialog.com/docs/mba/api-ref/knowledge-business-info/create-or-replace-business-information.md).

# Create or replace business information

Create or fully replace the business information for the specified entity. All provided fields will overwrite existing values.

```json
{"openapi":"3.1.0","info":{"title":"Business Agent API","version":"1.49.1"},"tags":[{"name":"Knowledge - Business Info","description":"Endpoints for managing the agent's business information"}],"servers":[{"description":"Production server","url":"https://waba-v2.360dialog.io"}],"security":[{"D360-API-KEY":[]}],"components":{"securitySchemes":{"D360-API-KEY":{"description":"API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.","in":"header","name":"D360-API-KEY","type":"apiKey"}},"schemas":{"knowledge_bi.BizAIOmniChannelKnowledgeBusinessInfoRequest":{"description":"Create or fully replace the business information for an entity","properties":{"business_description":{"type":"string"},"contact_info":{"$ref":"#/components/schemas/knowledge_bi.BizAIOmniChannelKnowledgeContactInfo"},"delivery_and_shipping":{"type":"string"},"payment_method":{"type":"string"},"purchase_info":{"type":"string"},"return_policy":{"type":"string"}},"type":"object"},"knowledge_bi.BizAIOmniChannelKnowledgeContactInfo":{"description":"Contact and location details for the business. Null if not configured","properties":{"address":{"type":"string"},"email":{"type":"string"},"hours_of_operation":{"type":"string"}},"type":"object"},"knowledge_bi.BizAIOmniChannelKnowledgeBusinessInfoResponse":{"description":"The business information configured for an entity","properties":{"business_description":{"type":"string"},"contact_info":{"$ref":"#/components/schemas/knowledge_bi.BizAIOmniChannelKnowledgeContactInfo"},"delivery_and_shipping":{"type":"string"},"payment_method":{"type":"string"},"purchase_info":{"type":"string"},"return_policy":{"type":"string"}},"type":"object"},"knowledge_bi.StandardError":{"description":"Standard error response for Meta Business Agent endpoints","properties":{"detail":{"type":"string"},"status":{"type":"integer"},"title":{"type":"string"},"type":{"type":"string"}},"type":"object"}}},"paths":{"/agent_config/business_info":{"put":{"description":"Create or fully replace the business information for the specified entity. All provided fields will overwrite existing values.","operationId":"put-agent-config-business-info","parameters":[{"description":"Meta Business Agent API version","in":"header","name":"X-API-Version","schema":{"enum":["2.0.0"],"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/knowledge_bi.BizAIOmniChannelKnowledgeBusinessInfoRequest","summary":"requestBody","description":"Business information to create or replace"}}},"description":"Business information to create or replace","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/knowledge_bi.BizAIOmniChannelKnowledgeBusinessInfoResponse"}}},"description":"The updated business information for the entity"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/knowledge_bi.StandardError"}}},"description":"Bad request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/knowledge_bi.StandardError"}}},"description":"Unauthorized"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/knowledge_bi.StandardError"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/knowledge_bi.StandardError"}}},"description":"Too many requests"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/knowledge_bi.StandardError"}}},"description":"Server error"}},"summary":"Create or replace business information","tags":["Knowledge - Business Info"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.360dialog.com/docs/mba/api-ref/knowledge-business-info/create-or-replace-business-information.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
